<?php
	require_once '../controller/CheckLoginState.php';
?>
<html>
<head>
<title>学生信息管理</title>
<link href="/css/manage.css" rel="Stylesheet" type="text/css" />
<script src="/opennew/alert.js" type="text/javascript"></script>
<script src="/opennew/Dialog.js" type="text/javascript"></script>
<script src="/js/ajax.js" type="text/javascript"></script>
<script src="/js/util.js" type="text/javascript"></script>
<script src="../js/calendar.js"></script>
<script>
function changepage(totalPage)
{
    var pageValue=document.studentQueryForm.pageValue.value;
    if(pageValue>totalPage) {
        alert('你输入的页码超出了总页数!');
        return ;
    }
    document.studentQueryForm.pageNow.value = pageValue;
    document.studentQueryForm.submit();
}

/*跳转到查询结果的某页*/
function GoToPage(currentPage/*,totalPage*/) {
    //if(currentPage==0) return;
    //if(currentPage>totalPage) return;
    document.forms[0].pageNow.value = currentPage;
    document.forms[0].submit();
}
</script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
</head>

<body>
	<div id="container">
		<div id="title">
			<table width="98%" border="0" cellpadding="0" cellspacing="2" align="center">
				<tr>
					<td height="21"><img src="../images/ico/ico08.gif" alt="" />
						<strong>学生信息管理</strong><script type="text/javascript">writeSpaces(105);</script>
						<img src="../images/print.jpg" title="打印" style="cursor: hand;" alt="" onclick="preview();">
					</td>
				</tr>
			</table>
		</div>

		<div id="content">
			<form id="studentQueryForm" name="studentQueryForm" action="/controller/StudentAction.php?action=query" method="post">
				<!--startprint-->
				<table width="98%" border="1" cellspacing="1" cellpadding="2" align="center" style="margin: 0px;">
					<tr>
						<td colspan="9">
							学号: <input class="text" type="text" style="width: 300px" value="<?php echo $studentNumber?>" name="studentNumber" />
							姓名: <input class="text" type="text" style="width: 120px" value="<?php echo $studentName?>" name="studentName" />
							所在班级: <select name="studentClassNumber">
								<option value="">不限制</option>
							<?php
								for($i = 0; $i < count ( $classInfo_res ); $i ++) {
									$row = $classInfo_res [$i];
									if ($studentClassNumber != $row ['classNumber'])
										echo "<option value={$row['classNumber']}>{$row['className']}</option>";
									else
										echo "<option selected value={$row['classNumber']}>{$row['className']}</option>";
								}
							?>
							</select> 
							出生日期:<input type="text" class="text" readonly value="<?php echo $studentBirthday?>" name="studentBirthday" onclick="setDay(this);" />
							<input type="button" class="btn" value="查询" onClick="javascript:document.forms[0].submit();" />
							<input type=hidden name=pageNow value="1" />
						</td>
					</tr>
				</table>


				<table width="98%" border="1" cellspacing="1" cellpadding="2" align="center" style="margin: 0px;">
					<tr class="a1" style="color: #ffffff; font-size: 12px;" height="30">
						<th>学号</th>
						<th>姓名</th>
						<th>性别</th>
						<th>所在班级</th>
						<th>出生日期</th>
						<th>政治面貌</th>
						<th>学生照片</th>
						<th width="60px">操作</th>
					</tr> 
<?php
for($i = 0; $i < count ( $fenyePage->res_array ); $i ++) {
	$row = $fenyePage->res_array [$i];
	$row ['studentClassNumber'] = $classInfoService->GetClassInfo ( $row ['studentClassNumber'] )->getClassName ();
	echo "<td id=studentNumber_{$row['studentNumber']}>{$row['studentNumber']}</td>";
	echo "<td id=studentName_{$row['studentNumber']}>{$row['studentName']}</td>";
	echo "<td id=studentSex_{$row['studentNumber']}>{$row['studentSex']}</td>";
	echo "<td id=studentClassNumber_{$row['studentNumber']}>{$row['studentClassNumber']}</td>";
	echo "<td id=studentBirthday_{$row['studentNumber']}>" . date ( "Y-m-d", strtotime ( $row ['studentBirthday'] ) ) . "</td>";
	echo "<td id=studentState_{$row['studentNumber']}>{$row['studentState']}</td>";
	echo "<td align='center' id=studentPhoto_{$row['studentNumber']}><img width='50px' height='50px' src=\"{$row['studentPhoto']}\" /></td>";
	echo "<td><div align='left'><a href='#' onclick=\"OpenEditStudent('{$row['studentNumber']}', '修改学生信息','{$row['studentNumber']}');\">修改</a>&nbsp;&nbsp;</div><div align=\"right\"><a href='StudentAction.php?action=del&studentNumber={$row['studentNumber']}' onclick=\"return confirm('警告：您确认删除吗？');\">删除</a></div></td>";
	echo "</tr>";
}
echo "<input type=button id='Ajax_Btn' style='display:none;' onclick='Ajax_GetStudent();' />";
echo "</table>";
// 显示上一页和下一页
echo $fenyePage->navigate;
?>
&nbsp;跳转到： <input name="pageValue" type="text" size="4" style="height: 20px; width: 30px; border: 1px solid #999999;" />页
<img src="../images/go.gif" style="cursor: hand;" onclick="changepage(<?php echo $fenyePage->pageCount ?>);" width="37" height="15" />
				<!--endprint-->
			</form>
		</div>
	</div>
</body>
</html>
